<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:import href="transformer.xslt"/>
<xsl:import href="jfc.xslt"/>
<xsl:import href="jfc-menu.xslt"/>
<xsl:import href="jfc-data.xslt"/>
<xsl:output cdata-section-elements="string"/>

<xsl:template match="/">
<xsl:comment> JFC to Java XML - Copyright 2007 Teppefall (<xsl:value-of select="$application"/>) </xsl:comment>
<java version="1.4.2" class="java.beans.XMLDecoder">
	<object id="self" class="com.teppefall.ds.layout.jxml.jfc.JFCPanel">
		<xsl:apply-templates/>
	</object>
</java>
</xsl:template>

<xsl:template match="application | jfcpanel | jfc | assembly">
	<xsl:call-template name="parkComponent"/>
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="toolbar">
    <void method="add">
        <object class="javax.swing.JToolBar">
        	<xsl:if test="@id">
        		<xsl:attribute name="id">
					<xsl:value-of select="@id"/>
        		</xsl:attribute>
        	</xsl:if>
            <xsl:apply-templates/>
        </object>
    </void>
    <xsl:if test="@id != ''">
	    <object idref="self">
	        <void method="register">
		    	<string><xsl:value-of select="@id"/></string>
		    	<object idref="{@id}"/>
	        </void>
	    </object>
	</xsl:if>
</xsl:template>

<xsl:template match="button">
	<void method="add">
		<object class="javax.swing.JButton">
			<xsl:call-template name="properties"/>
		</object>
	</void>
</xsl:template>

</xsl:stylesheet>